Read run
curl --request GET \
--url https://api.sigmora.org/v1/autopilot-runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/autopilot-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/autopilot-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"run": {
"id": "<string>",
"projectId": "<string>",
"contentBrandId": "<string>",
"configId": "<string>",
"status": "queued",
"stage": "selecting_trend",
"requestedTrendId": "<string>",
"selectedTrend": {},
"topic": "<string>",
"plannedVideoCount": 4503599627370495,
"plannedDestinationCount": 4503599627370495,
"steps": [
{
"phase": "content",
"name": "<string>",
"status": "<string>",
"output": {},
"error": "<string>",
"costUsd": 123,
"observedAt": "2023-11-07T05:31:56Z"
}
],
"contentResult": {},
"distributionResult": {},
"pendingApproval": {},
"attempt": 123,
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Read run
Read workflow phase, step log, outputs, approval, and failure state.
GET
/
v1
/
autopilot-runs
/
{runId}
Read run
curl --request GET \
--url https://api.sigmora.org/v1/autopilot-runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/autopilot-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/autopilot-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"run": {
"id": "<string>",
"projectId": "<string>",
"contentBrandId": "<string>",
"configId": "<string>",
"status": "queued",
"stage": "selecting_trend",
"requestedTrendId": "<string>",
"selectedTrend": {},
"topic": "<string>",
"plannedVideoCount": 4503599627370495,
"plannedDestinationCount": 4503599627370495,
"steps": [
{
"phase": "content",
"name": "<string>",
"status": "<string>",
"output": {},
"error": "<string>",
"costUsd": 123,
"observedAt": "2023-11-07T05:31:56Z"
}
],
"contentResult": {},
"distributionResult": {},
"pendingApproval": {},
"attempt": 123,
"error": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}